List available connector versions and upgrade sources to new versions.
GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/source-definitions/{definition_id}/versions
Returns all available versions for a connector definition.
organization_id string required
The unique identifier of the organization (format: org_*).
definition_id string required
The actor definition ID to list versions for.
POSThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/sources/{source_id}/upgrade
Upgrade a source connector to a new version.
source_id string required
The source ID to upgrade.
target_version string required
Docker image tag for the target connector version.
For list versions: an array of version objects containing actor_definition_id, docker_repository, docker_image_tag, is_version_override, and support_state.
For upgrade: the updated source object with the new version applied.
cURL — List versions
- Bash
- Bash
- Python
- Python
- JavaScript
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/source-definitions/def_abc123/versions" \
-H "Authorization: Bearer $ACCESS_TOKEN"